/* color */
main {
  --border-color: #E3E3ED;
  --icon-color: #5A5A72;
}
main#product-drawx,
main#product-drawx-tour {
  --text-primary: #fff;
  --text-secondary: #ACB7C7;
  --border-color: #23222A;
  --icon-color: #fff;
}

/* button */
.content-wrap .button {
  padding: 15px 24px;
  font-size: 18px;
  font-weight: 500;
  line-height: 1.3;
  border-radius: 50px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  color: var(--text-primary);
  background-color: transparent;
  border: 1px solid rgba(17, 24, 39, 0.20);
  transition: 0.2s;
}
#product-drawx .content-wrap .button,
#product-drawx-tour .content-wrap .button {
  background-color: #404759;
  border-color: #404759;
  color: #fff;
}
.content-wrap .button::after {
  content: "→";
  margin-left: 8px;
}
.content-wrap .button.primary {
  background-color: #155DFC;
  border-color: #155DFC;
  color: #fff;
}
#product-drawx .content-wrap .button.primary,
#product-drawx-tour .content-wrap .button.primary {
  background-color: #6366F1;
  border-color: #6366F1;
}
.content-wrap .button.primary::after {
  display: none;
}
@media (min-width: 809px) {
  .content-wrap .button {
    border-color: var(--text-primary);
  }
}

/* typography */
main .content-wrap > h2 {
  font-size: 32px;
  font-weight: 500;
  margin: 0 0 32px;
  line-height: 1.3;
  text-wrap: balance;
}
main .content-wrap > h2:has(+ p) {
  margin: 0 0 8px;
}
@media (min-width: 809px) {
  main .content-wrap > h2 {
    font-size: 40px;
    text-align: center;
  }
  main .content-wrap > h2:has(+ p) {
    margin: 0 0 16px;
  }
}

main .content-wrap > h2 + p {
  font-size: 20px;
  margin: 8px 0 0;
  color: var(--text-secondary);
  line-height: 1.5;
  text-wrap: balance;
}
@media (min-width: 809px) {
  main .content-wrap > h2 + p {
    font-size: 24px;
    margin-top: 16px;
  }
  main#product-runway .content-wrap > h2 + p {
    text-align: center;
  }
}

/* Hero section */
.product-hero {
  padding-top: 120px;
  padding-bottom: 60px;
}
@media (min-width: 809px) {
  .product-hero {
    padding-top: 160px;
    padding-bottom: 160px;
  }
}

.product-hero .content-wrap {
  display: grid;
  grid-template-rows: auto auto auto auto;
}

.product-hero h1 {
  font-size: 30px;
  font-weight: 600;
  text-align: center;
  margin: 0 auto;
  letter-spacing: -1.236px;
  max-width: 1124px;
}
@media (min-width: 809px) {
  .product-hero h1 {
    font-size: 60px;
  }
}

.product-hero h1 span {
  display: block;
}
@media (min-width: 809px) {
  .product-hero h1 span {
    display: inline;
  }
}

.product-hero h1 b {
  font-size: 56px;
  font-weight: 600;
  background: linear-gradient(90deg, #15BEFC 0%, #5736FB 49.04%, #FF7F1D 100%);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  word-break: keep-all;
}
#product-drawx .product-hero h1 b {
  background-image: linear-gradient(90deg, #AF73E3 0%, #676DFF 49.04%, #9DC2FF 100%);
}
@media (min-width: 809px) {
  .product-hero h1 b {
    position: relative;
    top: 6px;
    font-size: 80px;
    display: inline;
  }
}

.product-hero .text {
  font-size: 20px;
  text-align: center;
  word-break: keep-all;
  text-wrap: balance;
  color: var(--text-secondary);
}
@media (min-width: 809px) {
  .product-hero .text {
    font-size: 24px;
    margin: 8px auto 0;
    max-width: 1124px;
  }
}

.product-hero .product-image {
  position: relative;
  margin: 40px auto 0;
  width: 100%;
  max-width: 1124px;
  border-radius: 22px;
  overflow: hidden;
  aspect-ratio: 1124 / 682;
  display: flex;
  align-items: center;
  justify-content: center;
}
@media (min-width: 809px) {
  .product-hero .product-image {
    margin-top: 64px;
    border-radius: 64px;
    grid-row: 4 / 5;
  }
}

.product-hero .product-image .bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  vertical-align: middle;
}

.product-hero .product-image > div {
  position: relative;
  width: 90%;
  border-radius: 24px;
  overflow: hidden;
}

.product-hero .product-image > div video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  vertical-align: middle;
}

.product-hero .button-wrap {
  margin: 32px 0 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 16px;
}
@media (min-width: 809px) {
  .product-hero .button-wrap {
    flex-direction: row;
    grid-row: 3 / 4;
  }
}

/* Accordion */
.content-wrap details {
  interpolate-size: allow-keywords;
  overflow: hidden;
}

.content-wrap details::details-content {
  height: 0;
  transition: height 0.25s, content-visibility 0.25s, grid-template-rows 0.25s;
  transition-behavior: allow-discrete;
}
.content-wrap details[open]::details-content {
  height: auto;
}

.content-wrap details + details {
  border-top: 1px solid var(--border-color);
}

.content-wrap summary {
  list-style: none;
  display: flex;
  align-items: center;
  padding: 16px 16px 16px 0;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.3;
}
@media (min-width: 809px) {
  .content-wrap summary {
    font-size: 20px;
  }
}

.content-wrap summary::marker {
  display: none;
}

.content-wrap summary::after {
  content: "";
  display: inline-block;
  width: 18px;
  height: 18px;
  background-color: var(--icon-color);
  mask: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="m6 9 6 6 6-6"></path></svg>');
  transition: transform 0.25s;
  margin-left: auto;
}
.content-wrap details[open] summary::after {
  transform: rotate(180deg);
}

.content-wrap details p {
  margin: 0;
  padding: 0 0 24px 0;
  font-size: 14px;
  color: var(--text-secondary);
}
@media (min-width: 809px) {
  .content-wrap details p {
    font-size: 16px;
  }
}

/* Split layout */
.feature-split {
  margin: 32px 0 64px;
}
@media (min-width: 809px) {
  .feature-split {
    display: grid;
    grid-template-columns: 3fr 4fr;
  }
}

@media (min-width: 809px) {
  .feature-split .feature-media {
    grid-column: 2 / 3;
    grid-row: 1 / 2;
  }
}

.feature-split .feature-media img,
.feature-split .feature-media video {
  width: 100%;
  border-radius: 32px;
}
.feature-split .feature-media.image img {
  display: block;
}
.feature-split .feature-media.video img {
  display: none;
}
.feature-split .feature-media.image video {
  display: none;
}
.feature-split .feature-media.video video {
  display: block;
}

.feature-split .feature-content {
  padding: 32px 0 64px;
}
@media (min-width: 809px) {
  .feature-split .feature-content {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
    padding: 32px;
  }
}

/* Grid layout */
.feature-grid {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  gap: 16px;
  overflow: auto;
}
@media (min-width: 809px) {
  .feature-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 64px;
  }
}

.feature-grid li {
  width: 280px;
  flex-shrink: 0;
}
@media (min-width: 809px) {
  .feature-grid li {
    width: auto;
  }
}

.feature-grid .image {
  border-radius: 24px;
  aspect-ratio: 1;
  overflow: hidden;
}
@media (min-width: 809px) {
  .feature-grid .image {
    aspect-ratio: auto;
    border-radius: 32px;
  }
}

.feature-grid .image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}
@media (min-width: 809px) {
  .feature-grid .image img {
    height: auto;
  }
}

.feature-grid h3 {
  font-size: 20px;
  font-weight: 500;
  margin: 24px 0 0;
  line-height: 1.3;
}
@media (min-width: 809px) {
  .feature-grid h3 {
    font-size: 24px;
  }
}

.feature-grid h3 + p {
  font-size: 16px;
  margin: 8px 0 0;
  color: var(--text-secondary);
  line-height: 1.5;
}
@media (min-width: 809px) {
  .feature-grid h3 + p {
    font-size: 20px;
  }
}

/* Tab */
.arcade-tab {
  margin: 64px auto 24px;
  padding: 8px;
  list-style: none;
  display: flex;
  width: fit-content;
  max-width: 100%;
  gap: 4px;
  background: #EFEFF5;
  border-radius: 29px;
  overflow: auto;
}
#product-drawx-tour .arcade-tab {
  background: #4C4C59;
}

.arcade-tab li button {
  padding: 4px 16px;
  border-radius: 12px;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.3;
  color: var(--text-primary);
  background-color: transparent;
  border: 0 none;
  white-space: pre;
}
#product-drawx-tour .arcade-tab li button {
  color: #fff;
}
.arcade-tab li button.active {
  background-color: #fff;
}
#product-drawx-tour .arcade-tab li button.active {
  color: #111827;
  background-color: #fff;
}

.arcade-tab .arcade {
  margin: 0 auto;
  max-width: 1000px;
  width: 100%;
  overflow: hidden;
}
